Subject: RE: [Tsvwg] SCTP: GAP ACK without a gap

From: [email-masked]
Date: Tue, 6 Nov 2001 18:56:12 +0200

Hi all!

	See some comments below

> -----Original Message-----
> From: ext Qiaobing Xie [mailto:[email-masked]]
> Sent: 06 November, 2001 18:48
> To: Chip Sharp
> Cc: Qiaobing Xie; Tom George; TSV WG list; Randall R. Stewart
> Subject: Re: [Tsvwg] SCTP: GAP ACK without a gap
> 
> 
> Hi, Chip,
> 
> My comments in-line...
> 
> Chip Sharp wrote:
> > 
> > At 05:31 PM 11/5/2001, Qiaobing Xie wrote:
> > >Tom,
> > >
> > >This sounds to me an exploitation of SCTP by turning SCTP 
> gap acks into
> > >a way of buffer management. To me, the whole idea here is to try to
> > >trick the SCTP data sender to perform temp data buffering 
> while the M2PA
> > >layer at the SCTP receiver does not need to worry about 
> data buffering.
> > >I don't think this is right.
> > 
> > Unfortunately, this is an undesirable effect of adding the 
> ability to renege.
> > I'd be happy to get rid of it. :-)
> 
> The renege procedure itself is nothing wrong and is important to keep
> since otherwise there will be a deadlock. The problem is that 
> people may
> abuse it. I think we've anticipated this "undesirable effect" and put
> the following strong word in the RFC to warn people about 
> reneging data.
> 
> "
>    An endpoint SHOULD NOT revoke a SACK and discard data. Only in
>    extreme circumstance should an endpoint use this procedure (such as
>    out of buffer space).  
> "
> 
> What M2PA people is trying to do with renege is exactly what the RFC
> tells people not to do. To me this is clearly a case of abuse.

	I don't think they want to renege... I think that they mostly want
to stop data flow for a while in a congested link, and then later on decide
if the link is so congested that they should use another one or that they
can still use the same one and continue.

	I'm not that sure, but I guess that they would like to send through
the other link just the TSNs that didn't make it to the first receiver...

	I might be wrong, but I haven't read anything about reneging...
Maybe I was just so sleepy :-)

	BR Iván Arias Rodríguez

> -Qiaobing
> 
> _______________________________________________
> tsvwg mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/tsvwg
> 

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg